[SciPy-dev] gui_thread issue

Fernando Perez Fernando.Perez at colorado.edu
Sat Nov 6 17:26:05 CST 2004


Pearu Peterson wrote:

> This "<Importing wxPython...  done.>" message indicates that old
> gui_thread hooks are being used. It means that you are using rather
> old version of scipy. What I am missing here?

Oh, nothing.  I mentioned I was testing on my laptop, which has an older 
version.  I also did a quick test on my desktop (remote ssh too slow for X11, 
so I only tested the starting part), which worked OK and without that message. 
  Sorry for the confusion.

Note that all I tested was to address Eric's question about gui_thread.start() 
from an ipython rc file.  That seemed to work.  Since a few weeks ago I had 
the impression that Prabhu and yourself had nailed all remaining problems in 
gui_thread, I didn't go further.  Your more detailed tests today seem to 
indicate otherwise, though.  This is unfortunate, esp. considering that Prabhu 
and you seem to be the only ones with a good grasp of that code, so I can 
hardly offer any useful help.

Regards,

f




More information about the Scipy-dev mailing list